VERSION 6
BEGIN SCHEMATIC
    BEGIN ATTR DeviceFamilyName "xa9500xl"
        DELETE all:0
        EDITNAME all:0
        EDITTRAIT all:0
    END ATTR
    BEGIN NETLIST
        SIGNAL XLXN_1
        SIGNAL XLXN_2
        SIGNAL XLXN_3
        SIGNAL XLXN_4
        SIGNAL F
        SIGNAL A
        SIGNAL C
        SIGNAL B
        PORT Output F
        PORT Input A
        PORT Input C
        PORT Input B
        BEGIN BLOCKDEF nand3b2
            TIMESTAMP 2000 1 1 10 10 10
            LINE N 0 -64 40 -64 
            CIRCLE N 40 -76 64 -52 
            LINE N 0 -128 40 -128 
            CIRCLE N 40 -140 64 -116 
            LINE N 0 -192 64 -192 
            LINE N 256 -128 216 -128 
            CIRCLE N 192 -140 216 -116 
            LINE N 64 -176 144 -176 
            LINE N 144 -80 64 -80 
            LINE N 64 -64 64 -192 
            ARC N 96 -176 192 -80 144 -80 144 -176 
        END BLOCKDEF
        BEGIN BLOCKDEF nand3b1
            TIMESTAMP 2000 1 1 10 10 10
            LINE N 0 -64 40 -64 
            CIRCLE N 40 -76 64 -52 
            LINE N 0 -128 64 -128 
            LINE N 0 -192 64 -192 
            LINE N 256 -128 216 -128 
            CIRCLE N 192 -140 216 -116 
            ARC N 96 -176 192 -80 144 -80 144 -176 
            LINE N 144 -80 64 -80 
            LINE N 64 -64 64 -192 
            LINE N 64 -176 144 -176 
        END BLOCKDEF
        BEGIN BLOCKDEF nand3
            TIMESTAMP 2000 1 1 10 10 10
            LINE N 0 -64 64 -64 
            LINE N 0 -128 64 -128 
            LINE N 0 -192 64 -192 
            LINE N 256 -128 216 -128 
            CIRCLE N 192 -140 216 -116 
            LINE N 64 -176 144 -176 
            LINE N 144 -80 64 -80 
            ARC N 96 -176 192 -80 144 -80 144 -176 
            LINE N 64 -64 64 -192 
        END BLOCKDEF
        BEGIN BLOCKDEF nand4
            TIMESTAMP 2000 1 1 10 10 10
            LINE N 0 -64 64 -64 
            LINE N 0 -128 64 -128 
            LINE N 0 -192 64 -192 
            LINE N 0 -256 64 -256 
            LINE N 256 -160 216 -160 
            CIRCLE N 192 -172 216 -148 
            LINE N 64 -64 64 -256 
            LINE N 64 -208 144 -208 
            ARC N 96 -208 192 -112 144 -112 144 -208 
            LINE N 144 -112 64 -112 
        END BLOCKDEF
        BEGIN BLOCK XLXI_1 nand3b2
            PIN I0 C
            PIN I1 A
            PIN I2 B
            PIN O XLXN_1
        END BLOCK
        BEGIN BLOCK XLXI_2 nand3b1
            PIN I0 A
            PIN I1 B
            PIN I2 C
            PIN O XLXN_2
        END BLOCK
        BEGIN BLOCK XLXI_3 nand3b1
            PIN I0 C
            PIN I1 B
            PIN I2 A
            PIN O XLXN_3
        END BLOCK
        BEGIN BLOCK XLXI_4 nand3
            PIN I0 C
            PIN I1 B
            PIN I2 A
            PIN O XLXN_4
        END BLOCK
        BEGIN BLOCK XLXI_5 nand4
            PIN I0 XLXN_4
            PIN I1 XLXN_3
            PIN I2 XLXN_2
            PIN I3 XLXN_1
            PIN O F
        END BLOCK
    END NETLIST
    BEGIN SHEET 1 3520 2720
        INSTANCE XLXI_1 880 640 R0
        INSTANCE XLXI_2 880 992 R0
        INSTANCE XLXI_3 880 1360 R0
        INSTANCE XLXI_4 880 1712 R0
        INSTANCE XLXI_5 1296 1216 R0
        BEGIN BRANCH XLXN_1
            WIRE 1136 512 1296 512
            WIRE 1296 512 1296 960
        END BRANCH
        BEGIN BRANCH XLXN_2
            WIRE 1136 864 1216 864
            WIRE 1216 864 1216 1024
            WIRE 1216 1024 1296 1024
        END BRANCH
        BEGIN BRANCH XLXN_3
            WIRE 1136 1232 1216 1232
            WIRE 1216 1088 1216 1232
            WIRE 1216 1088 1296 1088
        END BRANCH
        BEGIN BRANCH XLXN_4
            WIRE 1136 1584 1296 1584
            WIRE 1296 1152 1296 1584
        END BRANCH
        BEGIN BRANCH F
            WIRE 1552 1056 1632 1056
        END BRANCH
        BEGIN BRANCH C
            WIRE 800 576 880 576
            BEGIN DISPLAY 800 576 ATTR Name
                ALIGNMENT SOFT-RIGHT
            END DISPLAY
        END BRANCH
        BEGIN BRANCH C
            WIRE 816 800 880 800
            BEGIN DISPLAY 816 800 ATTR Name
                ALIGNMENT SOFT-RIGHT
            END DISPLAY
        END BRANCH
        BEGIN BRANCH B
            WIRE 816 864 880 864
            BEGIN DISPLAY 816 864 ATTR Name
                ALIGNMENT SOFT-RIGHT
            END DISPLAY
        END BRANCH
        BEGIN BRANCH A
            WIRE 816 928 880 928
            BEGIN DISPLAY 816 928 ATTR Name
                ALIGNMENT SOFT-RIGHT
            END DISPLAY
        END BRANCH
        BEGIN BRANCH A
            WIRE 816 1168 880 1168
            BEGIN DISPLAY 816 1168 ATTR Name
                ALIGNMENT SOFT-RIGHT
            END DISPLAY
        END BRANCH
        BEGIN BRANCH B
            WIRE 816 1232 880 1232
            BEGIN DISPLAY 816 1232 ATTR Name
                ALIGNMENT SOFT-RIGHT
            END DISPLAY
        END BRANCH
        BEGIN BRANCH C
            WIRE 816 1296 880 1296
            BEGIN DISPLAY 816 1296 ATTR Name
                ALIGNMENT SOFT-RIGHT
            END DISPLAY
        END BRANCH
        BEGIN BRANCH A
            WIRE 800 1520 880 1520
            BEGIN DISPLAY 800 1520 ATTR Name
                ALIGNMENT SOFT-RIGHT
            END DISPLAY
        END BRANCH
        BEGIN BRANCH B
            WIRE 816 1584 880 1584
            BEGIN DISPLAY 816 1584 ATTR Name
                ALIGNMENT SOFT-RIGHT
            END DISPLAY
        END BRANCH
        BEGIN BRANCH C
            WIRE 800 1648 880 1648
            BEGIN DISPLAY 800 1648 ATTR Name
                ALIGNMENT SOFT-RIGHT
            END DISPLAY
        END BRANCH
        BEGIN BRANCH B
            WIRE 800 448 880 448
            BEGIN DISPLAY 800 448 ATTR Name
                ALIGNMENT SOFT-RIGHT
            END DISPLAY
        END BRANCH
        BEGIN BRANCH A
            WIRE 816 512 880 512
            BEGIN DISPLAY 816 512 ATTR Name
                ALIGNMENT SOFT-RIGHT
            END DISPLAY
        END BRANCH
        BEGIN BRANCH A
            WIRE 592 992 688 992
            WIRE 688 992 688 1008
        END BRANCH
        BEGIN BRANCH B
            WIRE 592 1056 688 1056
        END BRANCH
        BEGIN BRANCH C
            WIRE 592 1104 688 1104
        END BRANCH
        IOMARKER 592 992 A R180 28
        IOMARKER 592 1056 B R180 28
        IOMARKER 592 1104 C R180 28
        IOMARKER 1632 1056 F R0 28
    END SHEET
END SCHEMATIC
