
----------------------------------------------------------------------------------
library IEEE;
use IEEE.STD_LOGIC_1164.ALL;

entity Segm_b2 is
    Port ( A,B,C,D : in  STD_LOGIC;
           Segm_b2 : out  STD_LOGIC);
end Segm_b2;

architecture Behavioral of Segm_b2 is
   signal ABCD: STD_LOGIC_VECTOR( 3 DOWNTO 0);
begin
   ABCD <= A&B&C&D; -- Make a 4-bit vector of the signals A,B,C and D
	
   Segm_b2 <= '1' WHEN (ABCD="0101") OR (ABCD="0110") OR (ABCD="1011") OR
	                    (ABCD="1100") OR (ABCD="1110") OR (ABCD="1111")
						ELSE 
					'0';

end Behavioral;

