VERSION 6
BEGIN SCHEMATIC
    BEGIN ATTR DeviceFamilyName "spartan3e"
        DELETE all:0
        EDITNAME all:0
        EDITTRAIT all:0
    END ATTR
    BEGIN NETLIST
        SIGNAL XLXN_1
        SIGNAL XLXN_2
        SIGNAL XLXN_3
        SIGNAL XLXN_4
        SIGNAL Segm_b
        SIGNAL A
        SIGNAL B
        SIGNAL D
        SIGNAL C
        PORT Output Segm_b
        PORT Input A
        PORT Input B
        PORT Input D
        PORT Input C
        BEGIN BLOCKDEF and3
            TIMESTAMP 2000 1 1 10 10 10
            LINE N 0 -64 64 -64 
            LINE N 0 -128 64 -128 
            LINE N 0 -192 64 -192 
            LINE N 256 -128 192 -128 
            LINE N 64 -176 144 -176 
            LINE N 144 -80 64 -80 
            ARC N 96 -176 192 -80 144 -80 144 -176 
            LINE N 64 -64 64 -192 
        END BLOCKDEF
        BEGIN BLOCKDEF or4
            TIMESTAMP 2000 1 1 10 10 10
            LINE N 0 -64 48 -64 
            LINE N 0 -128 64 -128 
            LINE N 0 -192 64 -192 
            LINE N 0 -256 48 -256 
            LINE N 256 -160 192 -160 
            ARC N 28 -208 204 -32 192 -160 112 -208 
            LINE N 112 -208 48 -208 
            LINE N 112 -112 48 -112 
            LINE N 48 -256 48 -208 
            LINE N 48 -64 48 -112 
            ARC N -40 -216 72 -104 48 -112 48 -208 
            ARC N 28 -288 204 -112 112 -112 192 -160 
        END BLOCKDEF
        BEGIN BLOCKDEF and4b2
            TIMESTAMP 2000 1 1 10 10 10
            LINE N 0 -64 40 -64 
            CIRCLE N 40 -76 64 -52 
            LINE N 0 -128 40 -128 
            CIRCLE N 40 -140 64 -116 
            LINE N 0 -192 64 -192 
            LINE N 0 -256 64 -256 
            LINE N 256 -160 192 -160 
            LINE N 64 -208 144 -208 
            ARC N 96 -208 192 -112 144 -112 144 -208 
            LINE N 64 -64 64 -256 
            LINE N 144 -112 64 -112 
        END BLOCKDEF
        BEGIN BLOCKDEF and3b1
            TIMESTAMP 2000 1 1 10 10 10
            LINE N 0 -64 40 -64 
            CIRCLE N 40 -76 64 -52 
            LINE N 0 -128 64 -128 
            LINE N 0 -192 64 -192 
            LINE N 256 -128 192 -128 
            LINE N 64 -64 64 -192 
            ARC N 96 -176 192 -80 144 -80 144 -176 
            LINE N 144 -80 64 -80 
            LINE N 64 -176 144 -176 
        END BLOCKDEF
        BEGIN BLOCK XLXI_2 and3
            PIN I0 D
            PIN I1 C
            PIN I2 A
            PIN O XLXN_2
        END BLOCK
        BEGIN BLOCK XLXI_5 or4
            PIN I0 XLXN_4
            PIN I1 XLXN_3
            PIN I2 XLXN_2
            PIN I3 XLXN_1
            PIN O Segm_b
        END BLOCK
        BEGIN BLOCK XLXI_8 and4b2
            PIN I0 C
            PIN I1 B
            PIN I2 D
            PIN I3 A
            PIN O XLXN_4
        END BLOCK
        BEGIN BLOCK XLXI_9 and3b1
            PIN I0 D
            PIN I1 B
            PIN I2 A
            PIN O XLXN_1
        END BLOCK
        BEGIN BLOCK XLXI_10 and3b1
            PIN I0 D
            PIN I1 C
            PIN I2 B
            PIN O XLXN_3
        END BLOCK
    END NETLIST
    BEGIN SHEET 1 3520 2720
        INSTANCE XLXI_2 736 928 R0
        INSTANCE XLXI_5 1152 1056 R0
        BEGIN BRANCH XLXN_1
            WIRE 992 576 1152 576
            WIRE 1152 576 1152 800
        END BRANCH
        BEGIN BRANCH XLXN_2
            WIRE 992 800 1072 800
            WIRE 1072 800 1072 864
            WIRE 1072 864 1152 864
        END BRANCH
        BEGIN BRANCH XLXN_3
            WIRE 992 1008 1136 1008
            WIRE 1136 928 1152 928
            WIRE 1136 928 1136 1008
        END BRANCH
        BEGIN BRANCH XLXN_4
            WIRE 992 1248 1152 1248
            WIRE 1152 992 1152 1248
        END BRANCH
        BEGIN BRANCH Segm_b
            WIRE 1408 896 1424 896
            WIRE 1424 896 1488 896
        END BRANCH
        INSTANCE XLXI_8 736 1408 R0
        BEGIN BRANCH A
            WIRE 624 736 736 736
            BEGIN DISPLAY 624 736 ATTR Name
                ALIGNMENT SOFT-RIGHT
            END DISPLAY
        END BRANCH
        BEGIN BRANCH C
            WIRE 624 800 736 800
            BEGIN DISPLAY 624 800 ATTR Name
                ALIGNMENT SOFT-RIGHT
            END DISPLAY
        END BRANCH
        BEGIN BRANCH D
            WIRE 624 864 640 864
            WIRE 640 864 736 864
            BEGIN DISPLAY 624 864 ATTR Name
                ALIGNMENT SOFT-RIGHT
            END DISPLAY
        END BRANCH
        BEGIN BRANCH A
            WIRE 624 1152 736 1152
            BEGIN DISPLAY 624 1152 ATTR Name
                ALIGNMENT SOFT-RIGHT
            END DISPLAY
        END BRANCH
        BEGIN BRANCH D
            WIRE 624 1216 736 1216
            BEGIN DISPLAY 624 1216 ATTR Name
                ALIGNMENT SOFT-RIGHT
            END DISPLAY
        END BRANCH
        INSTANCE XLXI_10 736 1136 R0
        INSTANCE XLXI_9 736 704 R0
        BEGIN BRANCH A
            WIRE 640 512 736 512
            BEGIN DISPLAY 640 512 ATTR Name
                ALIGNMENT SOFT-RIGHT
            END DISPLAY
        END BRANCH
        BEGIN BRANCH B
            WIRE 640 576 736 576
            BEGIN DISPLAY 640 576 ATTR Name
                ALIGNMENT SOFT-RIGHT
            END DISPLAY
        END BRANCH
        BEGIN BRANCH D
            WIRE 640 640 736 640
            BEGIN DISPLAY 640 640 ATTR Name
                ALIGNMENT SOFT-RIGHT
            END DISPLAY
        END BRANCH
        BEGIN BRANCH B
            WIRE 624 944 736 944
            BEGIN DISPLAY 624 944 ATTR Name
                ALIGNMENT SOFT-RIGHT
            END DISPLAY
        END BRANCH
        BEGIN BRANCH C
            WIRE 624 1008 736 1008
            BEGIN DISPLAY 624 1008 ATTR Name
                ALIGNMENT SOFT-RIGHT
            END DISPLAY
        END BRANCH
        BEGIN BRANCH D
            WIRE 624 1072 640 1072
            WIRE 640 1072 736 1072
            BEGIN DISPLAY 624 1072 ATTR Name
                ALIGNMENT SOFT-RIGHT
            END DISPLAY
        END BRANCH
        BEGIN BRANCH B
            WIRE 608 1280 736 1280
            BEGIN DISPLAY 608 1280 ATTR Name
                ALIGNMENT SOFT-RIGHT
            END DISPLAY
        END BRANCH
        BEGIN BRANCH C
            WIRE 608 1344 736 1344
            BEGIN DISPLAY 608 1344 ATTR Name
                ALIGNMENT SOFT-RIGHT
            END DISPLAY
        END BRANCH
        BEGIN BRANCH A
            WIRE 480 864 560 864
        END BRANCH
        BEGIN BRANCH B
            WIRE 480 896 560 896
        END BRANCH
        BEGIN BRANCH C
            WIRE 480 928 560 928
        END BRANCH
        BEGIN BRANCH D
            WIRE 480 960 560 960
        END BRANCH
        IOMARKER 480 864 A R180 28
        IOMARKER 480 896 B R180 28
        IOMARKER 480 928 C R180 28
        IOMARKER 480 960 D R180 28
        IOMARKER 1488 896 Segm_b R0 28
    END SHEET
END SCHEMATIC
